> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Round

> Get single round



## OpenAPI

````yaml get /rounds/{round_id}
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /rounds/{round_id}:
    get:
      tags:
        - rounds
      summary: Get Single Round
      description: Get single round
      operationId: get_single_round_rounds__round_id__get
      parameters:
        - name: round_id
          in: path
          required: true
          schema:
            type: string
            title: Round Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoundGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RoundGetResponse:
      properties:
        id:
          type: string
          title: Id
        uniq_id:
          type: string
          title: Uniq Id
        status:
          type: string
          title: Status
        entry_fee:
          type: string
          title: Entry Fee
        is_active:
          type: boolean
          title: Is Active
        is_private:
          type: boolean
          title: Is Private
        is_ended:
          type: boolean
          title: Is Ended
        is_event:
          type: boolean
          title: Is Event
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        owner:
          $ref: '#/components/schemas/UserMeUpcomingRoundResponse'
        members_count:
          type: integer
          title: Members Count
        max_members_count:
          type: integer
          title: Max Members Count
        variant:
          type: string
          title: Variant
        item:
          $ref: '#/components/schemas/UnifiedItemRoundResponse'
        participant_statuses:
          anyOf:
            - items:
                $ref: '#/components/schemas/RoundParticipantResponse'
              type: array
            - type: 'null'
          title: Participant Statuses
        in_favorites:
          anyOf:
            - type: boolean
            - type: 'null'
          title: In Favorites
          default: false
        question:
          $ref: '#/components/schemas/RoundQuestionGetResponse'
        certificate:
          $ref: '#/components/schemas/RoundQuestionCertificateGetResponse'
        locations:
          anyOf:
            - items:
                $ref: '#/components/schemas/RoundLocationResponse'
              type: array
            - type: 'null'
          title: Locations
        seconds_to_end:
          type: integer
          title: Seconds To End
          readOnly: true
        format_entry_fee:
          type: string
          title: Format Entry Fee
          readOnly: true
        format_status:
          type: string
          title: Format Status
          readOnly: true
      type: object
      required:
        - id
        - uniq_id
        - status
        - entry_fee
        - is_active
        - is_private
        - is_ended
        - is_event
        - owner
        - members_count
        - max_members_count
        - variant
        - item
        - question
        - certificate
        - seconds_to_end
        - format_entry_fee
        - format_status
      title: RoundGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserMeUpcomingRoundResponse:
      properties:
        id:
          type: string
          title: Id
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - first_name
        - last_name
        - avatar_url
      title: UserMeUpcomingRoundResponse
    UnifiedItemRoundResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        platform_price:
          type: number
          title: Platform Price
        assets:
          anyOf:
            - items:
                $ref: '#/components/schemas/UnifiedItemRoundAssetResponse'
              type: array
            - type: 'null'
          title: Assets
          default: []
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        meeting_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Link
        meeting_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Password
        meeting_platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Meeting Platform
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        short_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Short Desc
        detail_desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail Desc
        participants_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Limit
        category:
          anyOf:
            - $ref: '#/components/schemas/ProductCategoryGetResponse'
            - type: 'null'
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        location:
          anyOf:
            - $ref: '#/components/schemas/UnifiedLocationResponse'
            - type: 'null'
        attribute_values:
          anyOf:
            - items:
                $ref: '#/components/schemas/GroupedAttributeValue'
              type: array
            - type: 'null'
          title: Attribute Values
          default: []
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - platform_price
        - store
        - format_price
      title: UnifiedItemRoundResponse
    RoundParticipantResponse:
      properties:
        status:
          type: string
          title: Status
        user:
          $ref: '#/components/schemas/UserParticipantRoundResponse'
      type: object
      required:
        - status
        - user
      title: RoundParticipantResponse
    RoundQuestionGetResponse:
      properties:
        category_theme:
          $ref: '#/components/schemas/RoundQuestionCategoryThemeGetResponse'
      type: object
      required:
        - category_theme
      title: RoundQuestionGetResponse
    RoundQuestionCertificateGetResponse:
      properties:
        id:
          type: string
          title: Id
        text:
          type: string
          title: Text
        discount_percent:
          type: integer
          title: Discount Percent
      type: object
      required:
        - id
        - text
        - discount_percent
      title: RoundQuestionCertificateGetResponse
    RoundLocationResponse:
      properties:
        city:
          $ref: '#/components/schemas/RoundLocationCityResponse'
        address:
          type: string
          title: Address
        lat:
          type: number
          title: Lat
        lon:
          type: number
          title: Lon
        postal_code:
          type: string
          title: Postal Code
      type: object
      required:
        - city
        - address
        - lat
        - lon
        - postal_code
      title: RoundLocationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UnifiedItemRoundAssetResponse:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        type:
          type: string
          title: Type
        sort_order:
          type: integer
          title: Sort Order
        is_primary:
          type: boolean
          title: Is Primary
      type: object
      required:
        - name
        - path
        - type
        - sort_order
        - is_primary
      title: UnifiedItemRoundAssetResponse
    ProductCategoryGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ProductCategoryGetResponse
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    UnifiedLocationResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
        latitude:
          type: string
          title: Latitude
        longitude:
          type: string
          title: Longitude
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
      type: object
      required:
        - address
        - latitude
        - longitude
      title: UnifiedLocationResponse
    GroupedAttributeValue:
      properties:
        id:
          type: integer
          title: Id
        key_name:
          type: string
          title: Key Name
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        need_to_choose:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Need To Choose
        choices:
          items:
            $ref: '#/components/schemas/AttributeValueChoice'
          type: array
          title: Choices
      type: object
      required:
        - id
        - key_name
        - name
        - type
        - choices
      title: GroupedAttributeValue
    UserParticipantRoundResponse:
      properties:
        id:
          type: string
          title: Id
        phone:
          type: string
          title: Phone
        username:
          type: string
          title: Username
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - phone
        - username
        - first_name
        - last_name
        - avatar_url
      title: UserParticipantRoundResponse
    RoundQuestionCategoryThemeGetResponse:
      properties:
        name:
          type: string
          title: Name
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
        category:
          $ref: '#/components/schemas/RoundQuestionCategoryGetResponse'
      type: object
      required:
        - name
        - category
      title: RoundQuestionCategoryThemeGetResponse
    RoundLocationCityResponse:
      properties:
        name:
          type: string
          title: Name
        district:
          anyOf:
            - type: string
            - type: 'null'
          title: District
        subject:
          type: string
          title: Subject
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
        lat:
          type: number
          title: Lat
        lon:
          type: number
          title: Lon
        country:
          $ref: '#/components/schemas/RoundLocationCountryResponse'
      type: object
      required:
        - name
        - subject
        - lat
        - lon
        - country
      title: RoundLocationCityResponse
    AttributeValueChoice:
      properties:
        id:
          type: integer
          title: Id
        value:
          type: string
          title: Value
        value_hex:
          anyOf:
            - type: string
            - type: 'null'
          title: Value Hex
      type: object
      required:
        - id
        - value
      title: AttributeValueChoice
    RoundQuestionCategoryGetResponse:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: RoundQuestionCategoryGetResponse
    RoundLocationCountryResponse:
      properties:
        code:
          type: string
          title: Code
        name:
          type: string
          title: Name
        phone_code:
          type: string
          title: Phone Code
        currency:
          type: string
          title: Currency
      type: object
      required:
        - code
        - name
        - phone_code
        - currency
      title: RoundLocationCountryResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````